CREATE TABLE doo_process_definitions_b (
    DOO_PROCESS_ID                    NUMBER(18, 0) ,
    ORCHESTRATION_APPLICATION_ID      NUMBER(18, 0) ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    DOO_PROCESS_VERSION               NUMBER(18, 0)     NOT NULL,
    PROCESS_NAME                      VARCHAR2(320)     NOT NULL,
    COMPOSITE_NAME_SPACE              VARCHAR2(4000),
    PROCESS_WSDL_URI                  VARCHAR2(4000),
    MAIN_PROCESS_FLAG                 VARCHAR2(4)   ,
    EFFECTIVE_START_DATE              DATE          ,
    ORCHESTRATION_TYPE_CODE           VARCHAR2(200) ,
    EFFECTIVE_END_DATE                DATE          ,
    PROCESS_RELEASE_STATUS_CODE       VARCHAR2(120) ,
    PROCESS_CLASS_ID                  NUMBER(18, 0) ,
    STATUS_CATALOG_ID                 NUMBER(18, 0) ,
    ESS_FLAG                          VARCHAR2(4)   ,
    REPLAN_FLAG                       VARCHAR2(4)   ,
    USE_DYNAMIC_ATTR_IN_DELTA_COMP    VARCHAR2(4)   ,
    USE_FLEX_ATTR_IN_DELTA_COMP       VARCHAR2(4)   ,
    DEPLOYED_BPEL_VERSION             NUMBER(9, 0)  ,
    CHANGE_MANAGEMENT_MODE            VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    RULE_DICTIONARY_ID                NUMBER(18, 0) ,
    COST_OF_CHANGE_RLS_ID             VARCHAR2(512) ,
    COST_OF_CHANGE_RLS_NAME           VARCHAR2(1024),
    PROCESS_IMAGE                     BLOB          ,
    GENERATED_PROCESS                 BLOB          ,
    COMP_PATTERN_RLS_ID               VARCHAR2(512) ,
    COMP_PATTERN_RLS_NAME             VARCHAR2(1024),
    EXECUTION_TYPE_CODE               VARCHAR2(400) ,
    PROCESS_IDENTIFIER                NUMBER(18, 0) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ORCHESTRATION_APP_ATTRIBUTE1      NUMBER(18, 0) ,
    ORCHESTRATION_APP_ATTRIBUTE2      NUMBER(18, 0) ,
    ORCHESTRATION_APP_ATTRIBUTE3      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE4      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE5      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE6      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE7      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE8      DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE9      DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE10     DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE11     DATE          ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    METADATA_ORCH_FLAG                VARCHAR2(4)   ,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    DOO_PROCESS_ID                    NUMBER(18, 0) ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    DOO_PROCESS_VERSION               NUMBER(18, 0)     NOT NULL,
    PROCESS_NAME                      VARCHAR2(320)     NOT NULL,
    COMPOSITE_NAME_SPACE              VARCHAR2(4000),
    PROCESS_WSDL_URI                  VARCHAR2(4000),
    MAIN_PROCESS_FLAG                 VARCHAR2(4)   ,
    EFFECTIVE_START_DATE              DATE          ,
    EFFECTIVE_END_DATE                DATE          ,
    PROCESS_RELEASE_STATUS_CODE       VARCHAR2(120) ,
    PROCESS_CLASS_ID                  NUMBER(18, 0) ,
    STATUS_CATALOG_ID                 NUMBER(18, 0) ,
    ESS_FLAG                          VARCHAR2(4)   ,
    REPLAN_FLAG                       VARCHAR2(4)   ,
    USE_DYNAMIC_ATTR_IN_DELTA_COMP    VARCHAR2(4)   ,
    USE_FLEX_ATTR_IN_DELTA_COMP       VARCHAR2(4)   ,
    DEPLOYED_BPEL_VERSION             NUMBER(9, 0)  ,
    CHANGE_MANAGEMENT_MODE            VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    RULE_DICTIONARY_ID                NUMBER(18, 0) ,
    COST_OF_CHANGE_RLS_ID             VARCHAR2(512) ,
    COST_OF_CHANGE_RLS_NAME           VARCHAR2(1024),
    PROCESS_IMAGE                     BLOB          ,
    GENERATED_PROCESS                 BLOB          ,
    COMP_PATTERN_RLS_ID               VARCHAR2(512) ,
    COMP_PATTERN_RLS_NAME             VARCHAR2(1024),
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ORCHESTRATION_APPLICATION_ID      NUMBER(18, 0) ,
    EXECUTION_TYPE_CODE               VARCHAR2(400) ,
    PROCESS_IDENTIFIER                NUMBER(18, 0) ,
    ORCHESTRATION_APP_ATTRIBUTE1      NUMBER(18, 0) ,
    ORCHESTRATION_APP_ATTRIBUTE2      NUMBER(18, 0) ,
    ORCHESTRATION_APP_ATTRIBUTE3      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE4      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE5      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE6      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE7      VARCHAR2(1024),
    ORCHESTRATION_APP_ATTRIBUTE8      DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE9      DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE10     DATE          ,
    ORCHESTRATION_APP_ATTRIBUTE11     DATE          ,
    ORCHESTRATION_TYPE_CODE           VARCHAR2(200) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    METADATA_ORCH_FLAG                VARCHAR2(4)   ,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_doo_process_definitions_b PRIMARY KEY (DOO_PROCESS_ID, DOO_PROCESS_ID)
);
